import { createApp } from "vue";
import App from "./App.vue";
import ElementPlus from "element-plus";
import "element-plus/dist/index.css";
import "normalize.css";
import Router from "./router/index";
import Store from "./store";

let app = createApp(App);
app.use(ElementPlus);
app.use(Router);
app.use(Store);
app.mount("#app");
